﻿Public Class FrmItemAddGItem
    Friend ItemId As Integer = 0
    Dim MaxAggregateItemNumber As String = String.Empty

    Private Sub CloseForm(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode.Equals(Keys.Escape) Then
            Me.Close()
        End If
    End Sub

    Private Sub BtnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSave.Click
        If ItemId = 0 Then
            Query("Added new item successfully.", String.Format("CALL ItemGroupAdd('{0}', {1}, {2}, {3}, {4})", TxtName.Text.ToUpper, TxtNumber.Text, DefaultAcademicYearId, Main.Dptid, Main.AreaId))

            Main.ComboDpt_SelectedIndexChanged(sender, e)
        End If

        Me.Close()
    End Sub

    Private Sub FrmItemAddGItem_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim Dptid = GetSingleValue(String.Format("CALL DptGetOneById('{0}')", Main.ComboDpt.Text))
        Dim AreaId = GetSingleValue(String.Format("CALL AreaGetOneById('{0}')", Main.ComboArea.Text))
        MaxAggregateItemNumber = GetSingleValue(String.Format("CALL ItemGroupGetMax({0}, {1}, {2})", DefaultAcademicYearId, Dptid, AreaId))
        TxtNumber.Text = Val(MaxAggregateItemNumber) + 1
    End Sub

    Private Sub TxtNumber_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TxtNumber.TextChanged

        If Not MaxAggregateItemNumber.Equals(String.Empty) Then
            If Val(TxtNumber.Text) < MaxAggregateItemNumber Then
                MessageBox.Show("Item number must be greater than the maximum count of item number", PROGRAM_NAME, MessageBoxButtons.OK, MessageBoxIcon.Warning)
                TxtNumber.Text = Val(MaxAggregateItemNumber) + 1
            End If
        End If
    End Sub

    Private Sub TxtName_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TxtName.KeyDown
        If e.KeyCode = Keys.Enter Then
            BtnSave.PerformClick()
            Close()
        End If
    End Sub
End Class